Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.builder
[Groovy] Class AstSpecificationCompiler

    java.lang.Object
      org.codehaus.groovy.ast.builder.AstSpecificationCompiler

All Implemented Interfaces:
  GroovyInterceptable

    @PackageScope
    class AstSpecificationCompiler
    extends java.lang.Object

Handles parsing the properties from the closure into values that can be referenced. This object is very stateful and not threadsafe. It accumulates expressions in the 'expression' field as they are found and executed within the DSL. Note: this class consists of many one-line method calls. A better implementation might be to take a declarative approach and replace the one-liners with map entries.

Authors:
  Hamlet D'Arcy

Constructor Summary
`AstSpecificationCompiler(Closure spec)` Creates the DSL compiler.

Method Summary
`java.util.List` | `getExpression()` Gets the current generated expression.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### AstSpecificationCompiler

    AstSpecificationCompiler(Closure spec)

  Creates the DSL compiler.

Method Detail

### getExpression

    java.util.List getExpression()

  Gets the current generated expression.

Groovy Documentation